#---
# Excerpted from "Rails Recipes"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_rr for more book information.
#---
class AddRecipes < ActiveRecord::Migration

  def self.up
    create_table "recipes" do |t|
      t.column "name", :string
      t.column "region", :string
      t.column "instructions", :text
    end
    create_table "ingredients" do |t|
      t.column "recipe_id", :integer
      t.column "name", :string
      t.column "unit", :string
      t.column "quantity", :integer
    end
  end


  def self.down
    remove_table "recipes"
    remove_table "ingredients"
  end
end
